summaryrefslogtreecommitdiff
path: root/dev-python/cypari2
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-08 19:15:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-08 19:15:21 +0000
commit9309e73601b94fbe27df1318837a556e61752f69 (patch)
tree340916f2f233d54fcfa26df75e5a18b29459c29d /dev-python/cypari2
parent2128795dcaac7d9a06e98ae1efa4c9a1812ada4b (diff)
downloadbaldeagleos-repo-9309e73601b94fbe27df1318837a556e61752f69.tar.gz
baldeagleos-repo-9309e73601b94fbe27df1318837a556e61752f69.tar.xz
baldeagleos-repo-9309e73601b94fbe27df1318837a556e61752f69.zip
Adding metadata
Diffstat (limited to 'dev-python/cypari2')
-rw-r--r--dev-python/cypari2/Manifest1
-rw-r--r--dev-python/cypari2/cypari2-2.2.4.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/cypari2/Manifest b/dev-python/cypari2/Manifest
index 30a6b9858fa1..8fbbcafc4e8e 100644
--- a/dev-python/cypari2/Manifest
+++ b/dev-python/cypari2/Manifest
@@ -1 +1,2 @@
DIST cypari2-2.2.2.tar.gz 127375 BLAKE2B 01481a74c892fdfab1192a1f7cd50fcb73bdbb59d8c3f15a23c01f3c17a55099c0f20d867f065a2007c53b4c0635880899550c252abe4171f6dfc61ccbfb6531 SHA512 b9f1d7aaba5fca71a78a41b10a7f98b61d0e0076d73f97c3fda003b81260e5f8f79c6489d8c75a7d12ea8c2715fe45cb6687984b4b448d1c6b2d3ee9616791db
+DIST cypari2-2.2.4.tar.gz 692543 BLAKE2B bd146958dd5b9e7da4a419f6b58307a09872ad0f13f5a7ab81d65d24c7cd54f9124a8373a74614103d11dac8064ae1d7d45279e4c59411ebcc46bb2fecaa8299 SHA512 f1e42448b392ac5d58523a281c7613ea6153715e425285f31e01dd3514988108ddb2ba76a2bd40a1628a1ce42b8a7d9e88c51de272258c47d9e6fbc307925ea4
diff --git a/dev-python/cypari2/cypari2-2.2.4.ebuild b/dev-python/cypari2/cypari2-2.2.4.ebuild
new file mode 100644
index 000000000000..a90371d346ec
--- /dev/null
+++ b/dev-python/cypari2/cypari2-2.2.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+DISTUTILS_USE_PEP517=meson-python
+DISTUTILS_EXT=1
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Cython interface to PARI"
+HOMEPAGE="https://github.com/sagemath/cypari2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+DEPEND=">=sci-mathematics/pari-2.17.1:=[gmp,doc]
+ dev-python/cysignals[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+BDEPEND=">=dev-python/cython-3[${PYTHON_USEDEP}]"
+
+src_prepare(){
+ default
+
+ # rename cypari2.py to cypari2.pc.in
+ mv cypari2/cypari2.py.in cypari2/cypari2.pc.in || die
+ sed -e "s:cypari2.py:cypari2.pc:g" -i cypari2/meson.build || die
+}
+
+python_test(){
+ cd "${S}"/tests || die
+ "${EPYTHON}" rundoctest.py || die
+}